#ifndef __INIT_H__
#define __INIT_H__

/* Basic initialisation. */

void init_memory(void);
void init_pins(void);
void init_outputs(void);

/* Peripheral pin configuration. */

void config_uart(void);
void lock_config(void);
void unlock_config(void);

/* Convenience operations. */

void interrupts_on(void);

/* Peripheral configuration. */

void init_uart(uint8_t pri, uint8_t sub);

#endif /* __INIT_H__ */
